# Arquivo de override para desenvolvimento local
# Este arquivo é automaticamente carregado pelo docker-compose
# Use para personalizar configurações sem modificar os arquivos principais

version: '3.8'

services:
  web:
    # Sobrescrever configurações para desenvolvimento
    environment:
      - DEBUG=True
      - DJANGO_SETTINGS_MODULE=allure_project.settings
    volumes:
      # Montar código fonte para hot reload
      - .:/app
      # Manter volumes de media e static
      - ./media:/app/media
      - ./staticfiles:/app/staticfiles
    # Comando para desenvolvimento
    command: >
      sh -c "python manage.py migrate &&
             python manage.py runserver 0.0.0.0:8000"

  db:
    # Configurações específicas para desenvolvimento
    environment:
      POSTGRES_DB: allure_dev
      POSTGRES_USER: allure_user
      POSTGRES_PASSWORD: allure_password
    volumes:
      # Persistir dados do banco
      - postgres_dev_data:/var/lib/postgresql/data
    ports:
      - "5432:5432"

volumes:
  postgres_dev_data:
